org.firebirdsql.jdbc.metadata

## Enum MetadataPattern.ConditionType

- java.lang.Object
- - java.lang.Enum<MetadataPattern.ConditionType>
  - - org.firebirdsql.jdbc.metadata.MetadataPattern.ConditionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MetadataPattern.ConditionType>
  Enclosing class:
    MetadataPattern

      public static enum MetadataPattern.ConditionType
      extends java.lang.Enum<MetadataPattern.ConditionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `SQL_EQUALS`
    `SQL_LIKE`
    `SQL_STARTING_WITH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetadataPattern.ConditionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MetadataPattern.ConditionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MetadataPattern.ConditionType NONE

    - #### SQL_LIKE

          public static final MetadataPattern.ConditionType SQL_LIKE

    - #### SQL_EQUALS

          public static final MetadataPattern.ConditionType SQL_EQUALS

    - #### SQL_STARTING_WITH

          public static final MetadataPattern.ConditionType SQL_STARTING_WITH

  - ### Method Detail

    - #### values

          public static MetadataPattern.ConditionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetadataPattern.ConditionType c : MetadataPattern.ConditionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetadataPattern.ConditionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.